> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Public Config

> Return non-sensitive settings needed by the public frontend.



## OpenAPI

````yaml https://instant-classification-api.thedatacity.com/api/v1/openapi.json get /api/v1/utils/public-config
openapi: 3.1.0
info:
  title: Instant Classification API
  version: 0.1.0
servers:
  - url: https://instant-classification-api.thedatacity.com
    description: Production
security: []
paths:
  /api/v1/utils/public-config:
    get:
      tags:
        - utils
      summary: Read Public Config
      description: Return non-sensitive settings needed by the public frontend.
      operationId: utils-read_public_config
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicConfig'
components:
  schemas:
    PublicConfig:
      properties:
        free_quota_limit:
          type: integer
          title: Free Quota Limit
        free_quota_scope:
          type: string
          const: lifetime
          title: Free Quota Scope
      type: object
      required:
        - free_quota_limit
        - free_quota_scope
      title: PublicConfig

````